Page MenuHomePhabricator

Please add www.leventhalmap.org to the wgCopyUploadsDomains whitelist of Wikimedia Commons
Closed, ResolvedPublic

Description

Please add www.leventhalmap.org to the wgCopyUploadsDomains whitelist for Commons. This is the site of the Leventhal Map Center at the Boston Public Library; there are a number of maps from this source that have been uploaded in small sizes from flickr and I would like to add the full versions directly from the source.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2017, 4:42 PM
Urbanecm claimed this task.Jan 14 2017, 4:43 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJan 14 2017, 4:43 PM
Urbanecm triaged this task as Normal priority.Jan 14 2017, 5:07 PM

Change 332053 had a related patch set uploaded (by Urbanecm):
Add *.leventhalmap.org to the copyupload whitelist

https://gerrit.wikimedia.org/r/332053

hashar added a subscriber: hashar.Jan 16 2017, 2:10 PM

I could not find a license on their site but http://www.leventhalmap.org/faqs

How do I obtain permission to reproduce images from your website?

It is possible to download images (including moderate and high .jpeg resolution) from our website for use in school papers, research projects, or power point presentations. We request that you acknowledge the source with the tag line: "Map reproduction courtesy of the Norman B. Leventhal Map Center at the Boston Public Library."

Which seems to indicate commercial usage would be inappropriate!?

Note that $wgCopyUploadsDomains is for massive imports, not for just a few items.

@Pi.1415926535 Please clarify what your intentions are.

I see on http://www.leventhalmap.org/explore/subject they have a lot of < 1923 maps, which are public domain.

As @hashar noticed, they make, so there would be a need to use {{PD-Art}} template, based on official WMF position and Commons practice.

There are a number of maps from the Leventhal Map Center (as Dereckson noted, largely pre-1923) which have had smallish versions uploaded previous from the Center's flickr stream. They were listed as CC-BY 2.0 on flickr; I replace that with {{PD-scan|PD-1923}} when I edit them. See for example this edit of mine.

I would like to upload the full-size maps directly from the site, as they are large files (often 30-100+ MB) which are painfully slow to download for me. Thus, even for a relatively small number of files, it would be very helpful to use the Source URL field on the upload-a-new-version form.

Thanks for the update.

That seems reasonable and in compliance with Commons practice.

Should I schedule it for tomorrow EU SWAT @Dereckson?

Thanks for the clarification pi, that is exactly what I was expecting!

@Urbanecm yeah please add it for tomorrow and will gladly push it.

@hashar Okay, I'll do it after the calendar appears.

Change 332053 merged by Chad:
Add *.leventhalmap.org to the copyupload whitelist

https://gerrit.wikimedia.org/r/332053

Urbanecm closed this task as Resolved.Jan 17 2017, 7:02 PM

Done.